Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Feature #2553

BD/NA Put field Refernce to dossier up dialog box
03/23/2017 08:54 AM - Oleksii Kurasov

Status: Closed Start date: 03/23/2017
Priority: Urgent Due date: 03/24/2017
Assignee: Oleksii Kurasov % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

History

#1 - 03/23/2017 08:55 AM - Oleksii Kurasov

- Status changed from New to In Progress

#2 - 03/23/2017 09:44 AM - Oleksii Kurasov

- Status changed from In Progress to Resolved

#3 - 03/24/2017 06:00 AM - Oleksii Kurasov

- Status changed from Resolved to Closed

06/07/2025

1/1



http://www.tcpdf.org

